Bug 424792 - Crash in QQuickTextNodeEngine::addGlyphsInRange
Summary: Crash in QQuickTextNodeEngine::addGlyphsInRange
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: generic-crash (show other bugs)
Version: 5.18.5
Platform: openSUSE RPMs Linux
: NOR crash
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords: drkonqi
: 421089 421100 421196 421953 422294 422368 422395 423291 427426 437811 443777 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-07-29 10:49 UTC by Alexei
Modified: 2022-03-25 15:43 UTC (History)
15 users (show)

See Also:
Latest Commit:
Version Fixed In: Probably 5.19


Attachments
New crash information added by DrKonqi (16.03 KB, text/plain)
2021-01-12 23:31 UTC, melodicphoenix
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexei 2020-07-29 10:49:18 UTC
Application: plasmashell (5.18.5)

Qt Version: 5.12.7
Frameworks Version: 5.71.0
Operating System: Linux 5.3.18-lp152.33-default x86_64
Windowing system: X11
Distribution: openSUSE Leap 15.2

-- Information about the crash:
- What I was doing when the application crashed:
Nothing special. It's occurs sometimes (20-30%) after smrtfone being awakened. 
Effects: OpenGL 2.0, connected by wifi
Plasma widget KDE Connect  major cause of crushing.

The crash can be reproduced sometimes.

-- Backtrace:
Application: Plasma (plasmashell), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fbc73adb900 (LWP 2262))]

Thread 10 (Thread 0x7fbc02554700 (LWP 30947)):
#0  0x00007fbc6a5b187d in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007fbc6d6809fb in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x557e8e985760) at thread/qwaitcondition_unix.cpp:146
#2  0x00007fbc6d6809fb in QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=<optimized out>, mutex=0x557e8f7cc930, deadline=...) at thread/qwaitcondition_unix.cpp:225
#3  0x00007fbc6d680d09 in QWaitCondition::wait(QMutex*, unsigned long) (this=this@entry=0x557e8f7cc938, mutex=mutex@entry=0x557e8f7cc930, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#4  0x00007fbc716c2d98 in QSGRenderThreadEventQueue::takeEvent(bool) (wait=true, this=0x557e8f7cc928) at /usr/src/debug/libqt5-qtdeclarative-5.12.7-lp152.2.2.x86_64/src/quick/scenegraph/qsgthreadedrenderloop.cpp:245
#5  0x00007fbc716c2d98 in QSGRenderThread::processEventsAndWaitForMore() (this=this@entry=0x557e8f7cc8b0) at /usr/src/debug/libqt5-qtdeclarative-5.12.7-lp152.2.2.x86_64/src/quick/scenegraph/qsgthreadedrenderloop.cpp:710
#6  0x00007fbc716c31ca in QSGRenderThread::run() (this=0x557e8f7cc8b0) at /usr/src/debug/libqt5-qtdeclarative-5.12.7-lp152.2.2.x86_64/src/quick/scenegraph/qsgthreadedrenderloop.cpp:739
#7  0x00007fbc6d6798b2 in QThreadPrivate::start(void*) (arg=0x557e8f7cc8b0) at thread/qthread_unix.cpp:361
#8  0x00007fbc6a5ab4f9 in start_thread () at /lib64/libpthread.so.0
#9  0x00007fbc6cf25f2f in clone () at /lib64/libc.so.6

Thread 9 (Thread 0x7fbc03dff700 (LWP 2630)):
#0  0x00007fffe6d9eb78 in clock_gettime ()
#1  0x00007fbc6cf33836 in clock_gettime () at /lib64/libc.so.6
#2  0x00007fbc6d8b0a81 in qt_clock_gettime (ts=0x7fbc03dfea80, clock=<optimized out>) at kernel/qelapsedtimer_unix.cpp:111
#3  0x00007fbc6d8b0a81 in do_gettime (frac=<synthetic pointer>, sec=<synthetic pointer>) at kernel/qelapsedtimer_unix.cpp:166
#4  0x00007fbc6d8b0a81 in qt_gettime() () at kernel/qelapsedtimer_unix.cpp:175
#5  0x00007fbc6d8af2b9 in QTimerInfoList::updateCurrentTime() (this=0x7fbbf8005120) at kernel/qtimerinfo_unix.cpp:91
#6  0x00007fbc6d8b1905 in timerSourceCheckHelper (src=<optimized out>) at kernel/qeventdispatcher_glib.cpp:146
#7  0x00007fbc6d8b1905 in timerSourceCheck(GSource*) (source=<optimized out>) at kernel/qeventdispatcher_glib.cpp:173
#8  0x00007fbc671801b9 in g_main_context_check () at /usr/lib64/libglib-2.0.so.0
#9  0x00007fbc67180720 in  () at /usr/lib64/libglib-2.0.so.0
#10 0x00007fbc6718088c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#11 0x00007fbc6d8b119b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fbbf8000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#12 0x00007fbc6d85232a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fbc03dfecb0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#13 0x00007fbc6d67810a in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:531
#14 0x00007fbc6d6798b2 in QThreadPrivate::start(void*) (arg=0x557e8e7c2be0) at thread/qthread_unix.cpp:361
#15 0x00007fbc6a5ab4f9 in start_thread () at /lib64/libpthread.so.0
#16 0x00007fbc6cf25f2f in clone () at /lib64/libc.so.6

Thread 8 (Thread 0x7fbc11b2d700 (LWP 2625)):
#0  0x00007fbc6a5b187d in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007fbc6d6809fb in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x557e8ec88960) at thread/qwaitcondition_unix.cpp:146
#2  0x00007fbc6d6809fb in QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=<optimized out>, mutex=0x557e8f341fe0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#3  0x00007fbc6d680d09 in QWaitCondition::wait(QMutex*, unsigned long) (this=this@entry=0x557e8f341fe8, mutex=mutex@entry=0x557e8f341fe0, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#4  0x00007fbc716c2d98 in QSGRenderThreadEventQueue::takeEvent(bool) (wait=true, this=0x557e8f341fd8) at /usr/src/debug/libqt5-qtdeclarative-5.12.7-lp152.2.2.x86_64/src/quick/scenegraph/qsgthreadedrenderloop.cpp:245
#5  0x00007fbc716c2d98 in QSGRenderThread::processEventsAndWaitForMore() (this=this@entry=0x557e8f341f60) at /usr/src/debug/libqt5-qtdeclarative-5.12.7-lp152.2.2.x86_64/src/quick/scenegraph/qsgthreadedrenderloop.cpp:710
#6  0x00007fbc716c31ca in QSGRenderThread::run() (this=0x557e8f341f60) at /usr/src/debug/libqt5-qtdeclarative-5.12.7-lp152.2.2.x86_64/src/quick/scenegraph/qsgthreadedrenderloop.cpp:739
#7  0x00007fbc6d6798b2 in QThreadPrivate::start(void*) (arg=0x557e8f341f60) at thread/qthread_unix.cpp:361
#8  0x00007fbc6a5ab4f9 in start_thread () at /lib64/libpthread.so.0
#9  0x00007fbc6cf25f2f in clone () at /lib64/libc.so.6

Thread 7 (Thread 0x7fbc1309f700 (LWP 2623)):
#0  0x00007fbc6a5b187d in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007fbc6d6809fb in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x557e8ec89840) at thread/qwaitcondition_unix.cpp:146
#2  0x00007fbc6d6809fb in QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=<optimized out>, mutex=0x557e8ec15940, deadline=...) at thread/qwaitcondition_unix.cpp:225
#3  0x00007fbc6d680d09 in QWaitCondition::wait(QMutex*, unsigned long) (this=this@entry=0x557e8ec15948, mutex=mutex@entry=0x557e8ec15940, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#4  0x00007fbc716c2d98 in QSGRenderThreadEventQueue::takeEvent(bool) (wait=true, this=0x557e8ec15938) at /usr/src/debug/libqt5-qtdeclarative-5.12.7-lp152.2.2.x86_64/src/quick/scenegraph/qsgthreadedrenderloop.cpp:245
#5  0x00007fbc716c2d98 in QSGRenderThread::processEventsAndWaitForMore() (this=this@entry=0x557e8ec158c0) at /usr/src/debug/libqt5-qtdeclarative-5.12.7-lp152.2.2.x86_64/src/quick/scenegraph/qsgthreadedrenderloop.cpp:710
#6  0x00007fbc716c31ca in QSGRenderThread::run() (this=0x557e8ec158c0) at /usr/src/debug/libqt5-qtdeclarative-5.12.7-lp152.2.2.x86_64/src/quick/scenegraph/qsgthreadedrenderloop.cpp:739
#7  0x00007fbc6d6798b2 in QThreadPrivate::start(void*) (arg=0x557e8ec158c0) at thread/qthread_unix.cpp:361
#8  0x00007fbc6a5ab4f9 in start_thread () at /lib64/libpthread.so.0
#9  0x00007fbc6cf25f2f in clone () at /lib64/libc.so.6

Thread 6 (Thread 0x7fbc256d9700 (LWP 2612)):
#0  0x00007fbc6cf1b6db in poll () at /lib64/libc.so.6
#1  0x00007fbc67180779 in  () at /usr/lib64/libglib-2.0.so.0
#2  0x00007fbc6718088c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#3  0x00007fbc6d8b119b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fbc20000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007fbc6d85232a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fbc256d8c70, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#5  0x00007fbc6d67810a in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:531
#6  0x00007fbc193e1c97 in KCupsConnection::run() () at /usr/lib64/libkcupslib.so
#7  0x00007fbc6d6798b2 in QThreadPrivate::start(void*) (arg=0x557e8e582220) at thread/qthread_unix.cpp:361
#8  0x00007fbc6a5ab4f9 in start_thread () at /lib64/libpthread.so.0
#9  0x00007fbc6cf25f2f in clone () at /lib64/libc.so.6

Thread 5 (Thread 0x7fbc33fff700 (LWP 2465)):
#0  0x00007fbc6d679d8c in QMutex::lock() (this=this@entry=0x557e8dac6050) at thread/qmutex.cpp:222
#1  0x00007fbc6d8b109c in QMutexLocker::QMutexLocker(QBasicMutex*) (m=0x557e8dac6050, this=<synthetic pointer>) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:206
#2  0x00007fbc6d8b109c in QThreadData::canWaitLocked() (this=0x557e8dac6020) at ../../include/QtCore/5.12.7/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:269
#3  0x00007fbc6d8b109c in postEventSourcePrepare(GSource*, gint*) (s=0x7fbc2c004b70, timeout=0x7fbc33ffea74) at kernel/qeventdispatcher_glib.cpp:259
#4  0x00007fbc6717fcd9 in g_main_context_prepare () at /usr/lib64/libglib-2.0.so.0
#5  0x00007fbc671806ab in  () at /usr/lib64/libglib-2.0.so.0
#6  0x00007fbc6718088c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#7  0x00007fbc6d8b119b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fbc2c000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#8  0x00007fbc6d85232a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fbc33ffec40, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#9  0x00007fbc6d67810a in QThread::exec() (this=this@entry=0x557e8daa9050) at thread/qthread.cpp:531
#10 0x00007fbc7163c146 in QQuickPixmapReader::run() (this=0x557e8daa9050) at /usr/src/debug/libqt5-qtdeclarative-5.12.7-lp152.2.2.x86_64/src/quick/util/qquickpixmapcache.cpp:953
#11 0x00007fbc6d6798b2 in QThreadPrivate::start(void*) (arg=0x557e8daa9050) at thread/qthread_unix.cpp:361
#12 0x00007fbc6a5ab4f9 in start_thread () at /lib64/libpthread.so.0
#13 0x00007fbc6cf25f2f in clone () at /lib64/libc.so.6

Thread 4 (Thread 0x7fbc3c1bb700 (LWP 2387)):
[KCrash Handler]
#4  0x00007fbc6df01a02 in std::__atomic_base<int>::load(std::memory_order) const (__m=std::memory_order_relaxed, this=0x0) at /usr/include/c++/7/bits/atomic_base.h:396
#5  0x00007fbc6df01a02 in QAtomicOps<int>::load<int>(std::atomic<int> const&) (_q_value=...) at ../../include/QtCore/../../src/corelib/thread/qatomic_cxx11.h:227
#6  0x00007fbc6df01a02 in QBasicAtomicInteger<int>::load() const (this=0x0) at ../../include/QtCore/../../src/corelib/thread/qbasicatomic.h:103
#7  0x00007fbc6df01a02 in QtPrivate::RefCount::ref() (this=0x0) at ../../include/QtCore/../../src/corelib/tools/qrefcount.h:55
#8  0x00007fbc6df01a02 in QString::QString(QString const&) (other=..., this=<optimized out>) at ../../include/QtCore/../../src/corelib/tools/qstring.h:958
#9  0x00007fbc6df01a02 in QFontEngineMulti::fallbackFamilyAt(int) const (at=<optimized out>, this=0x7fbc3424f630) at ../../include/QtGui/5.12.7/QtGui/private/../../../../../src/gui/text/qfontengine_p.h:495
#10 0x00007fbc6df01a02 in QFontEngineMulti::loadEngine(int) (this=0x7fbc3424f630, at=<optimized out>) at text/qfontengine.cpp:1832
#11 0x00007fbc6df01e8d in QFontEngineMulti::ensureEngineAt(int) (this=this@entry=0x7fbc3424f630, at=at@entry=163) at text/qfontengine.cpp:1819
#12 0x00007fbc6df351c2 in QTextLine::glyphRuns(int, int) const (this=this@entry=0x7fbc3c1b84d0, from=from@entry=0, length=<optimized out>) at text/qtextlayout.cpp:2407
#13 0x00007fbc7176881c in QQuickTextNodeEngine::addGlyphsInRange(int, int, QColor const&, QColor const&, int, int) (this=this@entry=0x7fbc3c1b8470, rangeStart=rangeStart@entry=0, rangeLength=rangeLength@entry=36, color=..., backgroundColor=..., selectionStart=selectionStart@entry=-1, selectionEnd=-1) at /usr/src/debug/libqt5-qtdeclarative-5.12.7-lp152.2.2.x86_64/src/quick/items/qquicktextnodeengine.cpp:593
#14 0x00007fbc71768da7 in QQuickTextNodeEngine::addGlyphsForRanges(QVarLengthArray<QTextLayout::FormatRange, 256> const&, int, int, int, int) (this=this@entry=0x7fbc3c1b8470, ranges=..., start=start@entry=0, end=36, selectionStart=selectionStart@entry=-1, selectionEnd=selectionEnd@entry=-1) at /usr/src/debug/libqt5-qtdeclarative-5.12.7-lp152.2.2.x86_64/src/quick/items/qquicktextnodeengine.cpp:565
#15 0x00007fbc717675da in QQuickTextNode::addTextLayout(QPointF const&, QTextLayout*, QColor const&, QQuickText::TextStyle, QColor const&, QColor const&, QColor const&, QColor const&, int, int, int, int) (this=this@entry=0x7fbc358f9a70, position=..., textLayout=0x557e91c7bbe0, color=..., style=QQuickText::Normal, styleColor=..., anchorColor=..., selectionColor=..., selectedTextColor=..., selectionStart=-1, selectionEnd=-1, lineStart=0, lineCount=1) at /usr/src/debug/libqt5-qtdeclarative-5.12.7-lp152.2.2.x86_64/src/quick/items/qquicktextnode.cpp:268
#16 0x00007fbc7176608c in QQuickText::updatePaintNode(QSGNode*, QQuickItem::UpdatePaintNodeData*) (this=0x557e91b9b0e0, oldNode=<optimized out>, data=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.12.7-lp152.2.2.x86_64/src/quick/items/qquicktext.cpp:2440
#17 0x00007fbc71715c88 in QQuickWindowPrivate::updateDirtyNode(QQuickItem*) (this=this@entry=0x557e8cac48e0, item=item@entry=0x557e91b9b0e0) at /usr/src/debug/libqt5-qtdeclarative-5.12.7-lp152.2.2.x86_64/src/quick/items/qquickwindow.cpp:3524
#18 0x00007fbc71716513 in QQuickWindowPrivate::updateDirtyNodes() (this=this@entry=0x557e8cac48e0) at /usr/src/debug/libqt5-qtdeclarative-5.12.7-lp152.2.2.x86_64/src/quick/items/qquickwindow.cpp:3269
#19 0x00007fbc71717892 in QQuickWindowPrivate::syncSceneGraph() (this=this@entry=0x557e8cac48e0) at /usr/src/debug/libqt5-qtdeclarative-5.12.7-lp152.2.2.x86_64/src/quick/items/qquickwindow.cpp:437
#20 0x00007fbc716be4e4 in QSGRenderThread::sync(bool) (this=this@entry=0x557e8c678700, inExpose=<optimized out>) at /usr/src/debug/libqt5-qtdeclarative-5.12.7-lp152.2.2.x86_64/src/quick/scenegraph/qsgthreadedrenderloop.cpp:563
#21 0x00007fbc716bf8f4 in QSGRenderThread::syncAndRender() (this=this@entry=0x557e8c678700) at /usr/src/debug/libqt5-qtdeclarative-5.12.7-lp152.2.2.x86_64/src/quick/scenegraph/qsgthreadedrenderloop.cpp:610
#22 0x00007fbc716c3188 in QSGRenderThread::run() (this=0x557e8c678700) at /usr/src/debug/libqt5-qtdeclarative-5.12.7-lp152.2.2.x86_64/src/quick/scenegraph/qsgthreadedrenderloop.cpp:730
#23 0x00007fbc6d6798b2 in QThreadPrivate::start(void*) (arg=0x557e8c678700) at thread/qthread_unix.cpp:361
#24 0x00007fbc6a5ab4f9 in start_thread () at /lib64/libpthread.so.0
#25 0x00007fbc6cf25f2f in clone () at /lib64/libc.so.6

Thread 3 (Thread 0x7fbc55d6a700 (LWP 2331)):
#0  0x00007fbc6717fdec in g_main_context_prepare () at /usr/lib64/libglib-2.0.so.0
#1  0x00007fbc671806ab in  () at /usr/lib64/libglib-2.0.so.0
#2  0x00007fbc6718088c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#3  0x00007fbc6d8b119b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fbc48000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007fbc6d85232a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fbc55d69c90, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#5  0x00007fbc6d67810a in QThread::exec() (this=this@entry=0x557e8c875610) at thread/qthread.cpp:531
#6  0x00007fbc71168ba5 in QQmlThreadPrivate::run() (this=0x557e8c875610) at /usr/src/debug/libqt5-qtdeclarative-5.12.7-lp152.2.2.x86_64/src/qml/qml/ftw/qqmlthread.cpp:148
#7  0x00007fbc6d6798b2 in QThreadPrivate::start(void*) (arg=0x557e8c875610) at thread/qthread_unix.cpp:361
#8  0x00007fbc6a5ab4f9 in start_thread () at /lib64/libpthread.so.0
#9  0x00007fbc6cf25f2f in clone () at /lib64/libc.so.6

Thread 2 (Thread 0x7fbc57df5700 (LWP 2278)):
#0  0x00007fbc6cf1b6db in poll () at /lib64/libc.so.6
#1  0x00007fbc67180779 in  () at /usr/lib64/libglib-2.0.so.0
#2  0x00007fbc6718088c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#3  0x00007fbc6d8b119b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7fbc50000b10, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007fbc6d85232a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fbc57df4c80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#5  0x00007fbc6d67810a in QThread::exec() (this=<optimized out>) at thread/qthread.cpp:531
#6  0x00007fbc6f495cd5 in  () at /usr/lib64/libQt5DBus.so.5
#7  0x00007fbc6d6798b2 in QThreadPrivate::start(void*) (arg=0x7fbc6f70dd80) at thread/qthread_unix.cpp:361
#8  0x00007fbc6a5ab4f9 in start_thread () at /lib64/libpthread.so.0
#9  0x00007fbc6cf25f2f in clone () at /lib64/libc.so.6

Thread 1 (Thread 0x7fbc73adb900 (LWP 2262)):
#0  0x00007fbc6a5b187d in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007fbc6d6809fb in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x557e8d5dd680) at thread/qwaitcondition_unix.cpp:146
#2  0x00007fbc6d6809fb in QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=<optimized out>, mutex=0x557e8c678740, deadline=...) at thread/qwaitcondition_unix.cpp:225
#3  0x00007fbc6d680d09 in QWaitCondition::wait(QMutex*, unsigned long) (this=0x557e8c678748, mutex=0x557e8c678740, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:208
#4  0x00007fbc716bffbd in QSGThreadedRenderLoop::polishAndSync(QSGThreadedRenderLoop::Window*, bool) (this=this@entry=0x557e8cf94300, w=<optimized out>, inExpose=inExpose@entry=false) at /usr/src/debug/libqt5-qtdeclarative-5.12.7-lp152.2.2.x86_64/src/quick/scenegraph/qsgthreadedrenderloop.cpp:1217
#5  0x00007fbc716c0afa in QSGThreadedRenderLoop::handleUpdateRequest(QQuickWindow*) (this=0x557e8cf94300, window=0x557e8cac0ee0) at /usr/src/debug/libqt5-qtdeclarative-5.12.7-lp152.2.2.x86_64/src/quick/scenegraph/qsgthreadedrenderloop.cpp:1042
#6  0x00007fbc7172258e in QQuickWindow::event(QEvent*) (this=0x557e8cac0ee0, e=0x7fffe6ce8d00) at /usr/src/debug/libqt5-qtdeclarative-5.12.7-lp152.2.2.x86_64/src/quick/items/qquickwindow.cpp:1668
#7  0x00007fbc6ead8a0c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib64/libQt5Widgets.so.5
#8  0x00007fbc6eae0020 in QApplication::notify(QObject*, QEvent*) () at /usr/lib64/libQt5Widgets.so.5
#9  0x00007fbc6d8540d8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x557e8cac0ee0, event=0x7fffe6ce8d00) at kernel/qcoreapplication.cpp:1088
#10 0x00007fbc6de26683 in QPlatformWindow::deliverUpdateRequest() (this=<optimized out>) at kernel/qplatformwindow.cpp:793
#11 0x00007fbc6de26683 in QPlatformWindow::windowEvent(QEvent*) (this=<optimized out>, event=<optimized out>) at kernel/qplatformwindow.cpp:478
#12 0x00007fbc6eae003b in QApplication::notify(QObject*, QEvent*) () at /usr/lib64/libQt5Widgets.so.5
#13 0x00007fbc6d8540d8 in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x557e8cac0ee0, event=0x7fffe6ce8fb0) at kernel/qcoreapplication.cpp:1088
#14 0x00007fbc6d8b05e9 in QTimerInfoList::activateTimers() (this=0x557e8c69edc0) at kernel/qtimerinfo_unix.cpp:643
#15 0x00007fbc6d8b0db1 in timerSourceDispatch(GSource*, GSourceFunc, gpointer) (source=<optimized out>) at kernel/qeventdispatcher_glib.cpp:182
#16 0x00007fbc67180464 in g_main_context_dispatch () at /usr/lib64/libglib-2.0.so.0
#17 0x00007fbc67180800 in  () at /usr/lib64/libglib-2.0.so.0
#18 0x00007fbc6718088c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#19 0x00007fbc6d8b117f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x557e8c6a0cc0, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#20 0x00007fbc6d85232a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fffe6ce9200, flags=..., flags@entry=...) at kernel/qeventloop.cpp:225
#21 0x00007fbc6d85b530 in QCoreApplication::exec() () at kernel/qcoreapplication.cpp:1389
#22 0x0000557e8b0ddb14 in main(int, char**) (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/plasma5-workspace-5.18.5-lp152.2.1.x86_64/shell/main.cpp:228
[Inferior 1 (process 2262) detached]

Possible duplicates by query: bug 423339, bug 423275, bug 422092, bug 422020, bug 421499.

Reported using DrKonqi
Comment 1 melodicphoenix 2021-01-12 23:31:41 UTC
Created attachment 134795 [details]
New crash information added by DrKonqi

plasmashell (5.18.6) using Qt 5.12.7

- What I was doing when the application crashed:

I had my smartphone connected using KDE Connect, and started talking to someone over WhatsApp, and then switched to Telegram.

- Custom settings of the application:

Except for the "Inhibit screensaver" option, all are enabled.

-- Backtrace (Reduced):
#4  std::__atomic_base<int>::load (__m=std::memory_order_relaxed, this=0x0) at /usr/include/c++/7/bits/atomic_base.h:396
#5  QAtomicOps<int>::load<int> (_q_value=...) at ../../include/QtCore/../../src/corelib/thread/qatomic_cxx11.h:227
#6  QBasicAtomicInteger<int>::load (this=0x0) at ../../include/QtCore/../../src/corelib/thread/qbasicatomic.h:103
[...]
#8  QString::QString (other=..., this=<optimized out>) at ../../include/QtCore/../../src/corelib/tools/qstring.h:958
#9  QFontEngineMulti::fallbackFamilyAt (at=<optimized out>, this=0x7f9fec14a990) at ../../include/QtGui/5.12.7/QtGui/private/../../../../../src/gui/text/qfontengine_p.h:495
Comment 2 David Edmundson 2021-02-25 23:03:29 UTC
*** Bug 422294 has been marked as a duplicate of this bug. ***
Comment 3 David Edmundson 2021-02-25 23:03:37 UTC
*** Bug 423291 has been marked as a duplicate of this bug. ***
Comment 4 David Edmundson 2021-02-25 23:03:45 UTC
*** Bug 422368 has been marked as a duplicate of this bug. ***
Comment 5 David Edmundson 2021-02-25 23:03:51 UTC
*** Bug 422395 has been marked as a duplicate of this bug. ***
Comment 6 David Edmundson 2021-02-25 23:04:08 UTC
*** Bug 421089 has been marked as a duplicate of this bug. ***
Comment 7 David Edmundson 2021-02-25 23:04:16 UTC
*** Bug 421953 has been marked as a duplicate of this bug. ***
Comment 8 David Edmundson 2021-02-25 23:04:26 UTC
*** Bug 421100 has been marked as a duplicate of this bug. ***
Comment 9 David Edmundson 2021-02-25 23:04:39 UTC
*** Bug 421196 has been marked as a duplicate of this bug. ***
Comment 10 Nate Graham 2021-10-15 17:09:43 UTC
*** Bug 427426 has been marked as a duplicate of this bug. ***
Comment 11 Nate Graham 2021-10-15 17:09:57 UTC
*** Bug 437811 has been marked as a duplicate of this bug. ***
Comment 12 Nate Graham 2021-10-15 17:10:11 UTC
*** Bug 443777 has been marked as a duplicate of this bug. ***
Comment 13 Nate Graham 2022-03-25 15:43:25 UTC
All reports are from 5.18, which is out of support now. Nothing newer, which means it was probably fixed in 5.19.